org.apache.xerces.impl.dv.xs

## Class ListDV

- java.lang.Object
- - org.apache.xerces.impl.dv.xs.TypeValidator
  - - org.apache.xerces.impl.dv.xs.ListDV

    public class ListDV
    extends TypeValidator

Represent the schema list types

Version:
  $Id: ListDV.java 725840 2008-12-11 22:19:06Z mrglavas $
Author:
  Neeraj Bajaj, Sun Microsystems, inc., Sandy Gao, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

### Fields inherited from class org.apache.xerces.impl.dv.xs.TypeValidator

`EQUAL, GREATER_THAN, INDETERMINATE, LESS_THAN`

### Constructor Summary

Constructors
Constructor and Description
`ListDV()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getActualValue(java.lang.String content, ValidationContext context)`
`short` `getAllowedFacets()`
`int` `getDataLength(java.lang.Object value)`

### Methods inherited from class org.apache.xerces.impl.dv.xs.TypeValidator

`checkExtraRules, compare, getDigit, getFractionDigits, getTotalDigits, isDigit, isIdentical`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListDV

    public ListDV()

### Method Detail

#### getAllowedFacets

    public short getAllowedFacets()

Specified by:
  `getAllowedFacets` in class `TypeValidator`

#### getActualValue

    public java.lang.Object getActualValue(java.lang.String content,
                                           ValidationContext context)
                                    throws InvalidDatatypeValueException

Specified by:
  `getActualValue` in class `TypeValidator`
Throws:
  `InvalidDatatypeValueException`

#### getDataLength

    public int getDataLength(java.lang.Object value)

Overrides:
  `getDataLength` in class `TypeValidator`